# Uses of Interface
nu.validator.htmlparser.impl.TreeBuilderState

Packages that use TreeBuilderState
Package
Description
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.

## Uses of TreeBuilderState in nu.validator.htmlparser.impl

Classes in nu.validator.htmlparser.impl that implement TreeBuilderState
Modifier and Type
Class
Description
`class`
`CoalescingTreeBuilder<T>`
A common superclass for tree builders that coalesce their text nodes.
`class`
`StateSnapshot<T>`
`class`
`TreeBuilder<T>`
Methods in nu.validator.htmlparser.impl that return TreeBuilderState
Modifier and Type
Method
Description
`TreeBuilderState<T>`
TreeBuilder.`newSnapshot()`
Creates a comparable snapshot of the tree builder state.
Methods in nu.validator.htmlparser.impl with parameters of type TreeBuilderState
Modifier and Type
Method
Description
`void`
TreeBuilder.`loadState(TreeBuilderState<T> snapshot)`
`boolean`
TreeBuilder.`snapshotMatches(TreeBuilderState<T> snapshot)`